summaryrefslogtreecommitdiffstats
path: root/system/acpitool/acpitool.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/acpitool/acpitool.SlackBuild')
-rw-r--r--system/acpitool/acpitool.SlackBuild20
1 files changed, 15 insertions, 5 deletions
diff --git a/system/acpitool/acpitool.SlackBuild b/system/acpitool/acpitool.SlackBuild
index 8898d411c0..d2e1561af0 100644
--- a/system/acpitool/acpitool.SlackBuild
+++ b/system/acpitool/acpitool.SlackBuild
@@ -20,10 +20,12 @@
# SUCH DAMAGE.
# ---------------------------------------------------------------------------
+# Modified by the SlackBuilds.org Project
+
PRGNAM=acpitool
-VERSION=${VERSION:-0.4.7}
+VERSION=0.5
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -35,6 +37,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e # Exit on most errors
@@ -48,6 +52,9 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Add the string.h include in toshiba.cpp and freq.cpp
+patch -p1 < $CWD/acpitool-0.5-add_string.h.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -61,8 +68,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -70,8 +79,9 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ChangeLog AUTHORS COPYING INSTALL README TODO \
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc